Access a paid product or return an x402 challenge
curl --request GET \
--url https://api.x402layer.cc/p/{slug}import requests
url = "https://api.x402layer.cc/p/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.x402layer.cc/p/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"x402Version": 123,
"accepts": [
{
"scheme": "<string>",
"network": "<string>",
"maxAmountRequired": "<string>",
"resource": "<string>",
"description": "<string>",
"payTo": "<string>",
"asset": "<string>"
}
],
"api_schema": {
"version": 1,
"baseUrl": "<string>",
"routes": [
{
"path": "/users/{id}",
"method": "GET",
"summary": "<string>",
"parameters": [
{
"name": "<string>",
"in": "query",
"type": "string",
"required": true,
"description": "<string>",
"example": "<string>"
}
],
"requestBody": {
"contentType": "application/json",
"fields": [
{
"name": "<string>",
"in": "query",
"type": "string",
"required": true,
"description": "<string>",
"example": "<string>"
}
],
"example": "<string>"
},
"responseExample": "<string>"
}
]
}
}Payments
Access paid product
GET
/
p
/
{slug}
Access a paid product or return an x402 challenge
Path Parameters
Response
Successful paid product response
Was this page helpful?
⌘I
